summaryrefslogtreecommitdiff
path: root/scripts/rabbitmq-env
diff options
context:
space:
mode:
authorMichael Klishin <michael@clojurewerkz.org>2018-06-04 15:28:17 +0300
committerJean-Sébastien Pédron <jean-sebastien.pedron@dumbbell.fr>2018-06-07 11:40:57 +0200
commitdae785ab345c4102bf5ddf6a1a733025a84191fd (patch)
tree562461590386cb6140074de71154a1967944059c /scripts/rabbitmq-env
parente3b2830647caa29add5df77438335294baa99e2d (diff)
downloadrabbitmq-server-git-dae785ab345c4102bf5ddf6a1a733025a84191fd.tar.gz
Be more defensive about what output rabbitmqctl eval produces here
OTP 21 has a new logging subsystem and extra logging added to the kernel app to accompany the asynchronous automatic node connection feature. This breaks this eval command that asks the node for some of its effective paths (e.g. the plugin dir). Since we know the set of lines we are interested in, we can filter out everything else. Pair: @dumbbell. Part of #1616. [#157964874]
Diffstat (limited to 'scripts/rabbitmq-env')
-rwxr-xr-xscripts/rabbitmq-env2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/rabbitmq-env b/scripts/rabbitmq-env
index 9b4c886051..25ed644c37 100755
--- a/scripts/rabbitmq-env
+++ b/scripts/rabbitmq-env
@@ -292,7 +292,7 @@ if [ "${RABBITMQ_DEV_ENV}" ]; then
"enabled_plugins_file=\"~s\"~n"
"mnesia_base=\"~s\"~n"
"mnesia_dir=\"~s\"~n", [P, E, B, M]).' \
- 2>/dev/null | head -n 4) || :)
+ 2>/dev/null | grep -E '^(plugins_dir|enabled_plugins_file|mnesia_base|mnesia_dir)=') || :)
if [ "${plugins_dir}" -a \
"$RABBITMQ_PLUGINS_DIR_source" != 'environment' ]; then
RABBITMQ_PLUGINS_DIR="${plugins_dir}"